Redmine - Defect #38491

Invalid scheme format: ' VP1'
2023-04-2510:17 -pw

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Custom fields Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 5.0.3
Description

Hello,

Our redmine installation ran years without problems (~2000 tickets). Now we have two tickets that causes an "Internal Error" when

we are trying to open it. The log shows:

I, [2023-04-13T09:17:40.591920 #18082] INFO —-—
500 Internal Server Error in 42ms (ActiveRecord: 6.4ms |
F, [2023-04-13T09:17:40.592583 #18082] FATAL —--

[2b0c6c5e-Tb7e-4ed4a-9ac5-£950eae812a3] ActionView::Template::Error

[2b0c6cb5e-Tb7e-4ed4a-9ac5-£f950eae812a3]
urs_details (@issue), :class =>
[2b0cobche-Tb7e-4ed4a-9ac5-f950eae812a3]
[2b0cbche-Tb7e—-4ed4a-9%9ac5-£950eae812a3]
[2b0cbche-Tb7e-4ed4a-9%9ac5-£950eae812a3]
[2b0cbche-Tb7e-4ed4a-9ac5-£950eae812a3]
sue => (@issue) %>
[2b0c6bc5e-Tb7e-4ed4a-9ac5-£950eae812a3]
[2b0cbche-Tb7e-4ed4a-9ac5-£950eae812a3]
[2b0c6bcb5e-Tb7e-4ed4a-9ac5-£950eae812a3]
[2b0cobche-Tb7e-4ed4a-9ac5-£f950eae812a3]
rn'
[2b0cbche-Tb7e-4ed4a-9%9ac5-£950eae812a3]
[2b0cbche-Tb7e-4ed4a-9ac5-£950eae812a3]
[2b0c6bcb5e-Tb7e-4eda-9ac5-f950eae812a3]
el
[2b0c6c5e-Tb7e-4eda-9ac5-£f950eae812a3]
[2b0c6bc5e-Tb7e-4ed4a-9ac5-£950eae812a3]
[2b0cobche-Tb7e-4ed4a-9ac5-f950eae812a3]
[2b0cbche-Tb7e-4ed4a-9%9ac5-£950eae812a3]
[2b0cbche-Tb7e-4ed4a-9%9ac5-£950eae812a3]
[2b0cbche-Tb7e-4ed4a-9%9ac5-£950eae812a3]
[2b0c6bcb5e-Tb7e-4eda-9ac5-f950eae812a3]
lue_tag'
[2b0c6c5e-Tb7e-4ed4a-9ac5-£f950eae812a3]
nder_half_ width_custom_fields_rows'
[2b0cobche-Tb7e-4ed4a-9ac5-f950eae812a3]
[2b0cbche-Tb7e—-4ed4a-9%9ac5-£950eae812a3]
[2b0cbche-Tb7e-4ed4a-9%9ac5-£950eae812a3]
idth_custom_fields_rows'
[2b0cbche-Tb7e-4ed4a-9ac5-£950eae812a3]
[2b0c6c5e-Tb7e-4eda-9ac5-£950eae812a3]
om_fields_rows'
[2b0cbche-Tb7e-4ed4a-9ac5-£950eae812a3]
[2b0cobche-Tb7e-4ed4a-9ac5-£f950eae812a3]
s) in show'
[2b0cbche-Tb7e-4ed4a-9%9ac5-£950eae812a3]
[2b0cbche-Tb7e-4ed4a-9%9ac5-£950eae812a3]

"VP1" is something that is frequentely entered into a certain custom field ("Order Reference" in German), followed by ":

2024-04-28

'spent-time'

75:

76: end
77: end %>
78: <%=
79: <%=
80: </div>
81:

lib/redmine/field_format.

lib/redmine/field_format.
lib/redmine/field_format.
lib/redmine/field_format.

lib/redmine/field_format.
lib/redmine/field_format.
lib/redmine/field_format.
lib/redmine/field_format.

rb:

rb
rb:
rb:

rb:
rb:
rb:
rb:

(Invalid scheme format: '

276:

:276:1

276:
254:

252:

252:1

401:
246:

[2b0cbche-Tb7e-4ed4a-9ac5-£950eae812a3]
Allocations:

Completed

27520)

rows.right 1(:label_spent_time),

render_half width_custom_fields_rows (@issue)
call_hook (:view_issues_show_details_bottom,

in

in
in
in

in
in
in
in

[2b0cbche-Tb7e-4ed4a-9%9ac5-£950eae812a3]

VP1')

issue_spent_ho

%>
:is

"block in url_from_patte

“gsub!'!'
‘url_from_pattern'
‘block in formatted_valu

‘map'’

‘formatted_value'
‘formatted_value'

" formatted_custom_value'

app/helpers/application_helper.rb:300:in " format_object'

app/helpers/custom_fields_helper.
app/helpers/custom_fields_helper.

app/helpers/issues_helper.rb:377:
app/helpers/issues_helper.
app/helpers/issues_helper.

app/helpers/issues_helper.

app/helpers/issues_helper.
app/helpers/issues_helper.

rb:
rb:
rb:

rb:
rb:

375:
3753
375:1

365:
374:1

in
in
in
in
in
in

app/views/issues/show.html.erb:78

app/controllers/issues_controller.rb:

app/controllers/issues_controller.rb:
lib/redmine/sudo_mode.rb:61:in

rb:
rb:

167:in "~ show_value'
156:in “custom_field_va
"block (2 levels) in re
“each'

“each_with_ index'
"block in render_half w
“issue_fields_rows'
‘render_half_width_cust

*sudo_mode'

118:1in “block (2 level
110:in "~ show'
n.n (e.g.
12




"VP1:45632535").

Is the space causing the problem?
It's important for us to know how to prevent the error in future and maybe you are able to fix the bug.

Environment:
Redmine version 5.0.3.stable
Ruby version 2.5.5-pl57 (2019-03-15) [x86_64-1linux—gnu]
Rails version 6.1.7
Environment production
Database adapter Mysql2
Mailer queue ActivedJob: :QueueAdapters: :AsyncAdapter
Mailer delivery smtp
Redmine settings:
Redmine theme Alternate
SCM:
Filesystem
Redmine plugins:
redmine_dashboard 2.12.2
redmine_drawio 1.4.4
redmine_impersonate 2.0.0
redmine_issues_tree 0.0.15
redmine_silencer 0.5.0
redmine_tint_issues 1.3.2
Related issues:
Is duplicate of Redmine - Defect #38464: Rendering a custom field with a URL ... Closed

History

#1 - 2023-04-25 10:27 -p w

Tested with "VP1:500662576" -> no problem.

Tested with " VP1:500662576" -> causing the problem.
Tested with " 500662576" -> no problem.

Seems to be a combination of the space and the ":"

Problem also seems to be in the display of the ticket, not in the storing of the data. | could "repair" the tickets via opening them in editing mode ("edit"
from the list).

#2 - 2023-04-25 10:54 - Go MAEDA

- Resolution set to Duplicate

The issue was fixed a few days ago in #38464. It will be delivered in Redmine 5.0.6 and 4.2.11.

You can fix your Redmine instance by applying the change that can be found at the URL below. It replaces Addressable::URl.encode with
Addressable::URl.encode_component in lib/redmine/field_format.rb.
https://www.redmine.org/projects/redmine/repository/svn/revisions/22206/diff/branches/5.0-stable/lib/redmine/field_format.rb

#3 - 2023-04-25 10:54 - Go MAEDA

- Is duplicate of Defect #38464: Rendering a custom field with a URL pattern set and containing " :" in the value raises
Addressable::URI::InvalidURIError added

#4 - 2023-04-25 16:17 - Holger Just

- Status changed from New to Closed
https://www.redmine.org/issues/38464
https://www.redmine.org/projects/redmine/repository/svn/revisions/22206/diff/branches/5.0-stable/lib/redmine/field_format.rb
http://www.tcpdf.org

